Subject: Re: [PATCH] wt-status: i18n of section labels

From: Junio C Hamano <[email-masked]>
Date: Thu, 13 Mar 2014 11:01:52 -0700

Sandy Carter <[email-masked]> writes:

> I refered to the wrong lines, the ones I was refering to were:
>
>> +static int maxwidth(const char *(*label)(int), int minval, int maxval)
>> +{
>> +	int result = 0, i;
>> +
>> +	for (i = minval; i <= maxval; i++) {
>> +		const char *s = label(i);
>> +		int len = s ? utf8_strwidth(s) : 0;
>
> Sorry about that

Oh, yes, you are right.  wt_status_diff_status_string() is meant to
be asked with a bogus status character and expected to return NULL,
so diagnosing anything it does not understand as a "bug" is indeed a
bug I added.

I think I fixed in my latest reroll ($gmane/243996).

Thanks for catching that.